Free Support Forum - aspose.com

Aspose.PDF for Java - Support for Java 11

We are presently using Aspose.PDF for Java 18.8 (will update to Aspose.PDF for Java 18.9 shortly).

Our development to date has been with jdk1.8.0_181. Given the support model changes in the Java world, we are looking towards using Java 11 for our ongoing development efforts.

Will Aspose.PDF for Java 18.9 work with Java 11? I can find no obvious references indication either yes or no.

Thanks.

@bduanebcbsma

Thanks for contacting support.

We have recently added support of JDK 9 in Aspose.PDF for Java and an investigation ticket as PDFJAVA-37957 is already logged in our issue tracking system for JDK 11/Java 11 Support. We have linked the ticket ID with your post so that you can receive notification once support is added. Please be patient and spare us little time.

We are sorry for the inconvenience.